ServletContextAttributeListener (Servlet and JavaServer Pages API Documentation)
Keywords: javax.servlet.ServletContextAttributeListener interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface ServletContextAttributeListener

All Superinterfaces:
  java.util.EventListener

public interface ServletContextAttributeListener
extends java.util.EventListener

Implementations of this interface recieve notifications of changes to the attribute list on the servlet context of a web application. To recieve notification events, the implementation class must be configured in the deployment descriptor for the web application.

Since:
  v 2.3
See Also:
  `ServletContextAttributeEvent`

Method Summary
`void` | `attributeAdded(ServletContextAttributeEvent scab)` Notification that a new attribute was added to the servlet context.
`void` | `attributeRemoved(ServletContextAttributeEvent scab)` Notification that an existing attribute has been remved from the servlet context.
`void` | `attributeReplaced(ServletContextAttributeEvent scab)` Notification that an attribute on the servlet context has been replaced.

Method Detail

### attributeAdded

    public void attributeAdded(ServletContextAttributeEvent scab)

  Notification that a new attribute was added to the servlet context. Called after the attribute is added.

### attributeRemoved

    public void attributeRemoved(ServletContextAttributeEvent scab)

  Notification that an existing attribute has been remved from the servlet context. Called after the attribute is removed.

### attributeReplaced

    public void attributeReplaced(ServletContextAttributeEvent scab)

  Notification that an attribute on the servlet context has been replaced. Called after the attribute is replaced.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.